org.vertx.java.core.http.impl.ws.hybi08

## Class WebSocketFrameEncoder08

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneEncoder
  - - org.vertx.java.core.http.impl.ws.hybi08.WebSocketFrameEncoder08

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelDownstreamHandler, org.jboss.netty.channel.ChannelHandler

    public class WebSocketFrameEncoder08
    extends org.jboss.netty.handler.codec.oneone.OneToOneEncoder

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`org.jboss.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketFrameEncoder08(boolean shouldMask)`

### Method Summary

Methods
`protected void` `applyDataMask(byte[] mask, org.jboss.netty.buffer.ChannelBuffer data)`
`protected byte` `applyMaskBit(int value)`
`protected java.lang.Object` `encode(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.Channel channel, java.lang.Object msg)`
`protected int` `encodeOpcode(WebSocketFrame.FrameType frameType)`
`protected byte[]` `getMask()`
`protected boolean` `shouldMask()`

### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder

`handleDownstream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketFrameEncoder08

    public WebSocketFrameEncoder08(boolean shouldMask)

### Method Detail

#### encode

    protected java.lang.Object encode(org.jboss.netty.channel.ChannelHandlerContext ctx,
                          org.jboss.netty.channel.Channel channel,
                          java.lang.Object msg)
                               throws java.lang.Exception

Specified by:
  `encode` in class `org.jboss.netty.handler.codec.oneone.OneToOneEncoder`
Throws:
  `java.lang.Exception`

#### encodeOpcode

    protected int encodeOpcode(WebSocketFrame.FrameType frameType)

#### applyMaskBit

    protected byte applyMaskBit(int value)

#### applyDataMask

    protected void applyDataMask(byte[] mask,
                     org.jboss.netty.buffer.ChannelBuffer data)

#### getMask

    protected byte[] getMask()

#### shouldMask

    protected boolean shouldMask()